%define		_class		HTML
%define		_subclass	Template
%define		_status		stable
%define		_pearname	HTML_Template_Sigma
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Integrated Templates API implemetation with template 'compilation'
Summary(pl.UTF-8):	%{_pearname} - Implementacja API Integrated Templates z "kompilacją" szablonów
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d1c7614c181ffc708c922d6600207b4c
URL:		http://pear.php.net/package/HTML_Template_Sigma/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(ctype)
Requires:	php-pear
Obsoletes:	php-pear-HTML_Template_Sigma-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq pear(Sigma_api_testcase.php)

%description
HTML_Template_Sigma implements Integrated Templates API designed by
Ulf Wendel.

Features:
- Nested blocks. Nesting is controlled by the engine.
- Ability to include files from within template: <!-- INCLUDE -->
- Automatic removal of empty blocks and unknown variables (methods to
  manually tweak/override this are also available)
- Methods for runtime addition and replacement of blocks in templates
- Ability to insert simple function calls into templates:
  func_uppercase('Hello world!') and to define callback functions for
  these
- 'Compiled' templates: the engine has to parse a template file using
  regular expressions to find all the blocks and variable placeholders.
  This is a very "expensive" operation and is an overkill to do on every
  page request: templates seldom change on production websites. Thus
  this feature: an internal representation of the template structure is
  saved into a file and this file gets loaded instead of the source one
  on subsequent requests (unless the source changes)
- PHPUnit-based tests to define correct behaviour
- Usage examples for most of the features are available, look in the
  docs/ directory

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Template_Sigma jest implementacją API Integrated Templates
zaprojektowanego przez Ulfa Wendla.

Możliwości:
- zagnieżdżone bloki, kontrolowane przez silnik
- możliwość dołączania plików z szablonu: <!-- INCLUDE -->
- automatyczne usuwanie pustych bloków i nieznanych zmiennych
  (dostępne są metody do ręcznego obejścia tego)
- metody do dodawania i podmieniania bloków z szablonów w czasie pracy
- możliwość wstawiania do szablonów wywołań prostych funkcji:
  func_uppercase('Hello world!') oraz definiowanie do tego funkcji
  callback
- "kompilowane" szablony: Silnik musi przeanalizować plik szablonu
  przy użyciu wyrażeń regularnych, aby znaleźć wszystkie bloki i
  zmienne; jest to "droga" operacja i nie jest konieczne wykonywanie jej
  przy każdym żądaniu strony - szablony rzadko zmieniają się na stronach
  produkcyjnych. Stąd ta możliwość: wewnętrzna reprezentacja struktury
  szablonu jest zapisywana do pliku i ten plik jest wczytywany zamiast
  źródłowego przy następnych żądaniach (o ile nie zmieniło się źródło)
- testy oparte na PHPUnit do definiowania prawidłowego zachowania
- dostępne przykłady użycia do większości możliwości, wystarczy
  zajrzeć do katalogu docs/.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/Template/*.php
%changelog
* Thu Jun 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Template_Sigma.git;a=log;h=master

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 2ecf8b6
- up to 1.3.0

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 2a4a546
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 8dab22e
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8488aaf
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 569709c
- updated deps with pearize.sh
- release 2

* Wed Jul 23 2008 Adam Gołębiowski <adamg@pld-linux.org> 768a43d
- updated to 1.2.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 468567c
- rel 2

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> ac5c047
- updated to 1.1.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0d3a5e4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b81293d
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> ac26cbe
- rel 3

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> b927dd7
- rel 2: use php(extension) virtuals

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> c33039a
- 1.1.5

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1c2052f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 8ebd85e
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> e8de5f8
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 277b7c5
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 615aa47
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> ef5e0d4
- AutoReq: no for -tests

* Sat Nov 05 2005 Elan Ruusamäe <glen@pld-linux.org> 68e2b6d
- 1.1.4

